nginx:
  pkg:
    - installed
  service.running:
    - enable: True
    - require:
      - pkg: nginx

nginx-common:
  pkg.installed

/etc/nginx/nginx.conf:
  file.managed:
    - source: salt://base/nginx.conf
    - user: root
    - group: root
    - mode: 0644
    - require:
      - pkg: nginx-common
    - watch_in:
      - service: nginx
